For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • GETGroup By Account
      • POSTCreate Group
      • GETGroups
      • GETSearch
      • POSTBatch Lookup Groups
      • POSTPublish Message
      • GETGroup
      • PUTUpdate Group
      • DELDelete Group
      • GETGroup Users
      • GETSearch Group Users
      • POSTUpload Group Avatar
      • PUTSet User Group Role
      • DELRemove User From Group
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementGroup

Groups

GET
/api/v1/group/all
GET
/api/v1/group/all
$curl https://app.termina.ai/api/v1/group/all \
> -H "Authorization: Bearer <token>"
1{
2 "total_count": 1,
3 "page": 1,
4 "page_size": 1,
5 "data": [
6 {
7 "name": "string",
8 "account": "example.com",
9 "id": 1,
10 "account_manager": {
11 "name": "string",
12 "email": "string",
13 "id": 1,
14 "api_key_final_characters": "string",
15 "thumbnail_url": "string",
16 "created_at": "2024-01-15T09:30:00Z",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "is_archived": true,
19 "super_user": true
20 },
21 "user_count": 1,
22 "deal_count": 1,
23 "thumbnail_url": "string",
24 "analysis_email": "string",
25 "data_api_access": true,
26 "created_at": "2024-01-15T09:30:00Z",
27 "updated_at": "2024-01-15T09:30:00Z",
28 "is_archived": true
29 }
30 ]
31}
Get all groups a user is a member of.
Was this page helpful?
Previous

Search

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_bystring or nullOptional
sort_orderstringOptionalformat: "^(asc|desc)$"Defaults to asc
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 100

Response

Successful Response
total_countinteger
pageinteger
page_sizeinteger
datalist of objects

Errors

422
Unprocessable Entity Error